=== debian/changelog ===
orthanc-gdcm (1.2-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 17 Dec 2020 18:14:05 +0100

orthanc-gdcm (1.1-4) unstable; urgency=medium

  * Fix missing include because of upgraded liborthancframework-dev

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 10 Dec 2020 09:52:48 +0100

orthanc-gdcm (1.1-2) unstable; urgency=medium

  * Source upload

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 02 Nov 2020 10:11:17 +0100

orthanc-gdcm (1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #961716)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 17 Oct 2020 11:23:24 +0200
