=== debian/control ===
Source: orthanc-gdcm
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgdcm-dev,
               liborthancframework-dev,
               orthanc-dev (>= 1.7.0),
               unzip,
               uuid-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/orthanc-gdcm
Vcs-Git: https://salsa.debian.org/med-team/orthanc-gdcm.git
Homepage: https://www.orthanc-server.com/
Rules-Requires-Root: no

Package: orthanc-gdcm
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 1.7.0)
Description: DICOM transcoder/decoder for Orthanc using GDCM (notably for JPEG2k)
 This package installs a plugin for Orthanc, the lightweight, RESTful
 Vendor Neutral Archive for medical imaging. The plugin extends
 Orthanc with a transcoder/decoder of DICOM images that is built on
 the GDCM library, whereas the built-in transcoder/decoder of Orthanc
 uses DCMTK.
 .
 This plugin is notably necessary for Orthanc to be able to
 transcode and decode JPEG2k transfer syntaxes.
