=== debian/changelog ===
orthanc-gdcm (1.4-3build1) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 16:02:52 +0100

orthanc-gdcm (1.4-3) unstable; urgency=medium

  * Replace explicit restart of Orthanc by orthanc-restart-trigger

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 16 Jan 2022 17:10:10 +0100

orthanc-gdcm (1.4-2) unstable; urgency=medium

  * Upload to unstable after freeze

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 01 Sep 2021 13:10:58 +0200

orthanc-gdcm (1.4-1) experimental; urgency=medium

  * New upstream version
  * Added missing "Built-Using" attribute

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 08 Jul 2021 15:59:18 +0200
