=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                orthanc-dev (>= 1.7.0),
                unzip,
                uuid-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-gdcm
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-gdcm.git
 Homepage: https://www.orthanc-server.com/
@@ -20,7 +20,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 1.7.0)
+         orthanc (>= 1.9.7+dfsg-6)
+Built-Using: ${orthancframework:Built-Using}
 Description: DICOM transcoder/decoder for Orthanc using GDCM (notably for JPEG2k)
  This package installs a plugin for Orthanc, the lightweight, RESTful
  Vendor Neutral Archive for medical imaging. The plugin extends
