=== debian/changelog ===
orthanc-gdcm (1.5-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 23 Mar 2022 22:15:27 +0100
