=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,17 @@
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
 	-DORTHANC_FRAMEWORK_SOURCE=system \
+        -DORTHANC_FRAMEWORK_USE_SHARED:BOOL=OFF \
+	"-DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=dcmdata dcmjpls dcmimage dcmjpeg ofstd boost_filesystem boost_iostreams boost_locale boost_regex boost_thread pugixml uuid jsoncpp" \
         -DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515
+
+
+# Automated generation of the "Built-Using" attribute in "d/control"
+# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=989128
+# Adapted from:
+# https://wiki.debian.org/SIMDEverywhere#Approach (Point 6)
+override_dh_gencontrol:
+	dh_gencontrol -- -Vorthancframework:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W liborthancframework-dev)"
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)
