## orthanc-gdcm 1.6+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2021 Osimis S.A., Belgium
+# Copyright (C) 2017-2024 Osimis S.A., Belgium
+# Copyright (C) 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -21,13 +22,13 @@
 
 project(OrthancGdcm)
 
-SET(PLUGIN_VERSION "1.5" CACHE STRING "Version of the plugin")
+SET(PLUGIN_VERSION "1.6")
 
 if (PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.10.1")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.2")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -153,6 +154,10 @@
   VERSION ${PLUGIN_VERSION} 
   SOVERSION ${PLUGIN_VERSION})
 
+if (COMMAND DefineSourceBasenameForTarget)
+  DefineSourceBasenameForTarget(OrthancGdcm)
+endif()
+
 install(
   TARGETS OrthancGdcm
   RUNTIME DESTINATION lib    # Destination for Windows
