=== debian/changelog ===
orthanc-gdcm (1.6+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:11:25 +1100

orthanc-gdcm (1.6+dfsg-1build1) noble; urgency=high

  * No change rebuild against libgdcm3.0t64, libdcmtk17t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:47:41 +0100

orthanc-gdcm (1.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 05 Jan 2024 11:51:06 +0100
