=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: orthanc-gdcm
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
 Section: science
 Priority: optional
@@ -10,7 +11,7 @@
                orthanc-dev (>= 1.7.0),
                unzip,
                uuid-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-gdcm
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-gdcm.git
 Homepage: https://www.orthanc-server.com/
