## orthanc-gdcm 1.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,13 +22,13 @@
 
 project(OrthancGdcm)
 
-SET(PLUGIN_VERSION "1.6")
+SET(PLUGIN_VERSION "1.7")
 
 if (PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.2")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.3")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
