=== debian/changelog ===
orthanc-gdcm (1.7+dfsg-1build1) oracular; urgency=medium

  * Rebuild against new libdcmtk18.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 09:37:56 +0200

orthanc-gdcm (1.7+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 06 May 2024 22:03:31 +0200
