## orthanc-gdcm 1.8%2Bdfsg

=== debian/changelog ===
orthanc-gdcm (1.8+dfsg-1build4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Aug 2025 08:19:26 +0200

orthanc-gdcm (1.8+dfsg-1build3) plucky; urgency=medium

  * Rebuild against new libdcmtk19.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 20:24:58 +0100

orthanc-gdcm (1.8+dfsg-1build2) plucky; urgency=medium

  * No-change rebuild for libdcmtk19.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 26 Feb 2025 14:49:18 +0000

orthanc-gdcm (1.8+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild for libjsoncpp26

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 10 Nov 2024 10:56:40 +0000

orthanc-gdcm (1.8+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 03 Aug 2024 14:34:20 +0200
