=== debian/changelog ===
orthanc-gdcm (1.8+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with recent versions of CMake. Closes: #1113371

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 01 Sep 2025 13:18:33 +0200
