=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: orthanc-gdcm
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
 Section: science
 Priority: optional
@@ -11,10 +10,10 @@
                orthanc-dev (>= 1.7.0),
                unzip,
                uuid-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-gdcm
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-gdcm.git
-Homepage: https://www.orthanc-server.com/
+Homepage: https://orthanc.uclouvain.be/book/plugins/gdcm.html
 Rules-Requires-Root: no
 
 Package: orthanc-gdcm
